<template>
	<view class="page">
		<navBar title="定制我家的无主灯" :back="true" color="black" background="white" />

		<view class="con">
			<!-- <view class="item" v-for="(item,index) in typeList" @click="toNext">
				<view class="label">
					<image src="/static/index/part1_icon.png" mode=""></image>
					{{item.name}}
				</view>
				<image :src="item.img" mode=""></image>
			</view> -->

			<u-parse :content="content"></u-parse>
		</view>
		<!-- <u-loadmore style="" loadmoreText="已经到底啦" color="#CCCCCC" lineColor="#CCCCCC" line /> -->
	</view>
</template>

<script>
	import {
		getPreviewDataReq,
	} from '@/api/index/index.js'
	export default {
		components: {

		},
		data() {
			return {
				picUrl: this.$picUrl,
				content: '',
			}
		},
		async onLoad(o) {
			let res = await getPreviewDataReq({
				id: o.id
			})
			if (res.code == 0) {
				console.log('预览灯型-无主灯: ', res);
				this.content = res.data.content
				console.log('预览灯型-无主灯: ', this.content);
			} else {
				uni.showToast({
					title: res.message,
					icon: 'none'
				})
			}
		},
		methods: {
			toNext() {
				uni.navigateTo({
					// url: '/pages/index/customNoMian_step1/index'
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	@import "./index.scss";
</style>